1 |
jpp |
1.1 |
From 646b3c4b920f4ae4d1289eeb10018cd9d069382a Mon Sep 17 00:00:00 2001 |
2 |
|
|
From: Andreas Schneider <asn@samba.org> |
3 |
|
|
Date: Wed, 9 Aug 2017 18:14:23 +0200 |
4 |
|
|
Subject: [PATCH 1/2] s3:libads: Fix changing passwords with Kerberos |
5 |
|
|
|
6 |
|
|
BUG: https://bugzilla.samba.org/show_bug.cgi?id=12956 |
7 |
|
|
|
8 |
|
|
Signed-off-by: Andreas Schneider <asn@samba.org> |
9 |
|
|
Reviewed-by: Richard Sharpe <realrichardsharpe@gmail.com> |
10 |
|
|
(cherry picked from commit b81ca4f9dcbb378a95fb3ac31bfd9a1cbe505d7d) |
11 |
|
|
--- |
12 |
|
|
source3/libads/krb5_setpw.c | 2 +- |
13 |
|
|
1 file changed, 1 insertion(+), 1 deletion(-) |
14 |
|
|
|
15 |
|
|
diff --git a/source3/libads/krb5_setpw.c b/source3/libads/krb5_setpw.c |
16 |
|
|
index 630c2e46631..bc96ac603b1 100644 |
17 |
|
|
--- a/source3/libads/krb5_setpw.c |
18 |
|
|
+++ b/source3/libads/krb5_setpw.c |
19 |
|
|
@@ -251,7 +251,7 @@ static ADS_STATUS ads_krb5_chg_password(const char *kdc_host, |
20 |
|
|
ret = krb5_set_password(context, |
21 |
|
|
&creds, |
22 |
|
|
discard_const_p(char, newpw), |
23 |
|
|
- princ, |
24 |
|
|
+ NULL, |
25 |
|
|
&result_code, |
26 |
|
|
&result_code_string, |
27 |
|
|
&result_string); |
28 |
|
|
-- |
29 |
|
|
2.14.0 |
30 |
|
|
|
31 |
|
|
|
32 |
|
|
From be45f32ffb1504f36b860195b480b661699de049 Mon Sep 17 00:00:00 2001 |
33 |
|
|
From: Andreas Schneider <asn@samba.org> |
34 |
|
|
Date: Wed, 9 Aug 2017 12:14:34 +0200 |
35 |
|
|
Subject: [PATCH 2/2] blackbox: Add test for 'net ads changetrustpw' |
36 |
|
|
|
37 |
|
|
BUG: BUG: https://bugzilla.samba.org/show_bug.cgi?id=12956 |
38 |
|
|
|
39 |
|
|
Signed-off-by: Andreas Schneider <asn@samba.org> |
40 |
|
|
Reviewed-by: Richard Sharpe <realrichardsharpe@gmail.com> |
41 |
|
|
|
42 |
|
|
Autobuild-User(master): Andreas Schneider <asn@cryptomilk.org> |
43 |
|
|
Autobuild-Date(master): Fri Aug 11 22:09:27 CEST 2017 on sn-devel-144 |
44 |
|
|
|
45 |
|
|
(cherry picked from commit e2c0fd36ba54d984b554248aecffd3e4e7f43e1f) |
46 |
|
|
--- |
47 |
|
|
testprogs/blackbox/test_net_ads.sh | 4 ++++ |
48 |
|
|
1 file changed, 4 insertions(+) |
49 |
|
|
|
50 |
|
|
diff --git a/testprogs/blackbox/test_net_ads.sh b/testprogs/blackbox/test_net_ads.sh |
51 |
|
|
index 99b886f53eb..bbd99b676bd 100755 |
52 |
|
|
--- a/testprogs/blackbox/test_net_ads.sh |
53 |
|
|
+++ b/testprogs/blackbox/test_net_ads.sh |
54 |
|
|
@@ -33,6 +33,8 @@ testit "join" $VALGRIND $net_tool ads join -U$DC_USERNAME%$DC_PASSWORD || failed |
55 |
|
|
|
56 |
|
|
testit "testjoin" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed + 1` |
57 |
|
|
|
58 |
|
|
+testit "changetrustpw" $VALGRIND $net_tool ads changetrustpw || failed=`expr $failed + 1` |
59 |
|
|
+ |
60 |
|
|
testit "leave" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1` |
61 |
|
|
|
62 |
|
|
# Test with kerberos method = secrets and keytab |
63 |
|
|
@@ -41,6 +43,8 @@ testit "join (decicated keytab)" $VALGRIND $net_tool ads join -U$DC_USERNAME%$DC |
64 |
|
|
|
65 |
|
|
testit "testjoin (dedicated keytab)" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed + 1` |
66 |
|
|
|
67 |
|
|
+testit "changetrustpw (dedicated keytab)" $VALGRIND $net_tool ads changetrustpw || failed=`expr $failed + 1` |
68 |
|
|
+ |
69 |
|
|
testit "leave (dedicated keytab)" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1` |
70 |
|
|
rm -f $dedicated_keytab_file |
71 |
|
|
|
72 |
|
|
-- |
73 |
|
|
2.14.0 |
74 |
|
|
|